{% extends 'base1.html' %}
{% load static %}

{% block title %}Sign In{% endblock title %}

{% block custom_css %}<link rel="Stylesheet" href="{% static 'css/SignIn.css' %}">{% endblock custom_css %}

{% block content %}
<div class="SignIn">
    <div class="container h-100">
        <div class="d-flex justify-content-center h-100">
            <div class="user_card">
                <div class="d-flex justify-content-center">
                    <div class="brand_logo_container">
                        <img src="{% static 'assets/scooter.png' %}" class="brand_logo" alt="Logo">
                    </div>
                </div>
                <div class="d-flex justify-content-center form_container">
                    <form method="POST">
                        {% csrf_token %}
                        <div class="input-group mb-3">
                            <input type="text" name="username" class="form-control input_user" value="" placeholder="username">
                        </div>
                        <div class="input-group mb-2">
                            <input type="password" name="password" class="form-control input_pass" value="" placeholder="password">
                        </div>
                            <div class="d-flex justify-content-center mt-3 login_container">
                     <button type="submit" name="button" class="btn login_btn">Sign In</button>
                   </div>
                    </form>
                </div>
                {% if error %}
                <div class="alert alert-warning alert-dismissible fade show">
                    <strong>Warning!</strong> {{ error }}
                </div>
                {% endif %}
            </div>
        </div>
    </div>
</div>

{% endblock content %}
